1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Modeling SDK Problems

Discussion in 'Modeling' started by Chronocidal Guy, 10/7/07.

  1. Chronocidal Guy

    Chronocidal Guy

    Joined:
    10/7/07
    Messages:
    4
    Hi all, I've been looking for a solution to this problem all day, and haven't been able to find a solid answer to anything.

    At one point around February, I had FSX, the SDK with SP1, and the modeling tools all working perfectly. Was able to export a few models with custom animations, and they worked fine.

    I recently uninstalled FSX to do a clean install for SP1, and to update everything, and now, the animation tool is dead. I get errors suggesting that MSXML 4 isn't installed, and that it can't create an xml file.

    I've gone through 3 clean installs today, removing everything several times, making sure everything was clean, and each time, the animation tool refuses to work, and I get errors when I try to export something. It's as if some plugins for Max are missing.

    I'm following the process exactly as in the SDK, installing everything cleanly: FSX, SDK from the disc, FSX SP1, then SDK SP1A. I add the plugin directory to Max, restart, and the FS Tools menu is there. All the tools except the Animation Tool work fine.

    When opened the Animation Tool gives me the error, "Failed creating XML document. Make sure MSXML 4 is installed!," followed by "--unknown system exception." Then a MaxScript window pops up with the following line highlighted: "res = xmlParser.LoadDocument(filePath + "\\modeldef.xml");"
    which is from the FSXAnimations.ms script

    Similarly, if I click export, I get the error "Failed to create MSXML! Is MSXML 4 installed on this machine?"

    I've heard that these kinds of errors may come up from a modeldef.xml with errors, but I'm using the stock file from SDK SP1A everywhere, except for one backup that used to work before the update.

    Has this happened to anyone before? It seems familiar to me, but I can't remember how I may have fixed this in the past. I am using Max 8, is it possible the new SDK update is incompatible?
    Last edited: 10/7/07
  2. arno

    arno Administrator Staff Member FSDevConf team Resource contributor

    Joined:
    28/5/04
    Messages:
    21,353
    Country:
    netherlands
    Have you tried to reinstall MSXML4 as the error message suggests? This is not a component that the SDK will install for you. You can download it from MS.
  3. Chronocidal Guy

    Chronocidal Guy

    Joined:
    10/7/07
    Messages:
    4
    I've been looking at MSXML4 installs, and I can't figure out which version I need.. that was one of the first things I tried, downloaded the most recent version I could find, and did a repair install on my system.

    I know I saw xml files being installed during the FSX installation somewhere, but I don't know if they were being updated, or maybe downgraded. It's almost like MSXML has been corrupted. Would installing a newer version (they're up to version 6 now) fix that possibly?

    Edit: Got it to work, at least with the stock SDK, had to do a complete removal of MSXML, and reinstall from scratch. Thanks for the input. :)
    Last edited: 10/7/07

Share This Page